Package com.io7m.idstore.protocol.user

# Record Class IdUCommandRealnameUpdate

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.user.IdUCommandRealnameUpdate

Record Components:
  `realName` - The real name

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBMessageType`, `IdProtocolMessageType`, `IdUCommandType<IdUResponseUserUpdate>`, `IdUMessageType`

public record IdUCommandRealnameUpdate(IdRealName realName) extends Record implements IdUCommandType<IdUResponseUserUpdate>
A request to change the user's realname.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUCommandRealnameUpdate(IdRealName realName)`
  A request to change the user's realname.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `IdRealName`
  `realName()`
  Returns the value of the `realName` record component.
  `Class<IdUResponseUserUpdate>`
  `responseClass()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdUCommandRealnameUpdate

    public IdUCommandRealnameUpdate(IdRealName realName)
    A request to change the user's realname.
    Parameters:
      `realName` - The real name

- ## Method Details

  - ### responseClass

    public Class<IdUResponseUserUpdate> responseClass()
    Specified by:
      `responseClass` in interface `IdUCommandType<IdUResponseUserUpdate>`
    Returns:
      The response class associated with a successful command execution

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### realName

    public IdRealName realName()
    Returns the value of the `realName` record component.
    Returns:
      the value of the `realName` record component